The overwriting error message was: Key file does not have group 'connectivity'

Bug #1290217 reported by dino99 on 2014-03-10
176
This bug affects 37 people
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
High
Unassigned

Bug Description

Looking at /var/log/upstart/network-manager.log, that error is written:

(NetworkManager:969): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Key file does not have group 'connectivity'

ProblemType: Bug
DistroRelease: Ubuntu 14.04
Package: network-manager 0.9.8.8-0ubuntu5
ProcVersionSignature: Ubuntu 3.13.0-16.36-generic 3.13.5
Uname: Linux 3.13.0-16-generic i686
ApportVersion: 2.13.3-0ubuntu1
Architecture: i386
CurrentDesktop: GNOME
Date: Mon Mar 10 07:02:37 2014
IfupdownConfig:
 # interfaces(5) file used by ifup(8) and ifdown(8)
 auto lo
 iface lo inet loopback
InstallationDate: Installed on 2013-10-25 (135 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20131021.1)
IpRoute:
 default via 192.168.1.1 dev eth0 proto static
 192.168.1.0/24 dev eth0 proto kernel scope link src 192.168.1.3 metric 1
IwConfig:
 lo no wireless extensions.

 eth0 no wireless extensions.

 eth1 no wireless extensions.
NetworkManager.state:
 [main]
 NetworkingEnabled=true
 WirelessEnabled=true
 WWANEnabled=true
 WimaxEnabled=true
RfKill:

SourcePackage: network-manager
UpgradeStatus: No upgrade log present (probably fresh install)
WifiSyslog:

modified.conffile..etc.NetworkManager.NetworkManager.conf: [modified]
mtime.conffile..etc.NetworkManager.NetworkManager.conf: 2013-12-25T13:58:11.169010
nmcli-con:
 NAME UUID TYPE TIMESTAMP TIMESTAMP-REAL AUTOCONNECT READONLY DBUS-PATH
 Wired connection 1 7cca4ae1-9b74-45ac-bc15-7b1757516613 802-3-ethernet 1394431189 Mon 10 Mar 2014 06:59:49 CET yes no /org/freedesktop/NetworkManager/Settings/1
 Connexion filaire 2 2f951ef2-14cf-4fb5-a89a-b83bdae4731d 802-3-ethernet 1389770221 Wed 15 Jan 2014 08:17:01 CET yes no /org/freedesktop/NetworkManager/Settings/0
nmcli-dev:
 DEVICE TYPE STATE DBUS-PATH
 eth1 802-3-ethernet unavailable /org/freedesktop/NetworkManager/Devices/1
 eth0 802-3-ethernet connected /org/freedesktop/NetworkManager/Devices/0
nmcli-nm:
 RUNNING VERSION STATE NET-ENABLED WIFI-HARDWARE WIFI WWAN-HARDWARE WWAN
 running 0.9.8.8 connected enabled enabled enabled enabled disabled

dino99 (9d9) wrote :
Mehmet Tekkaya (mehmet-tekkaya) wrote :

I am seeing the same issue after upgrading to 14.04.

gnogal (gnogal) wrote :

I also have the same issue after upgrading to 14.04, and my wifi disconnecting from time to time. I have to power off and power on again the wireless.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in network-manager (Ubuntu):
status: New → Confirmed
Pallavi (pallavi-bl) wrote :

Is there a quick fix for this or do i need to wait for a new release?

Tried the following with no luck:
1. Removed the vpn-connection and added it again (multiple times)
2. Removed and installed network manager all over again

My Ubuntu version: 14.04

Error I get on connecting to VPN: Error: Connection activation failed: invalid VPN secrets.

var/log/upstart/network-manager.log has:
(NetworkManager:753): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Key file does not have group 'connectivity'

Changed in network-manager (Ubuntu):
importance: Undecided → High
Yaseer Arafat (yaseer-arafat) wrote :

Each time I reboot my Ubuntu desktop I need to run NetworkManager to start my network and it shows this error.

yaseer@yaseer-M11BB:~$ sudo NetworkManager

(NetworkManager:2922): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Key file does not have group 'connectivity'
yaseer@yaseer-M11BB:~$ lsusb
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 002: ID 046d:081b Logitech, Inc. Webcam C310
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 004: ID 0461:4e26 Primax Electronics, Ltd
Bus 003 Device 003: ID 0461:4de2 Primax Electronics, Ltd
Bus 003 Device 002: ID 0fe6:9700 Kontron (Industrial Computer Source / ICS Advent) DM9601 Fast Ethernet Adapter
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

gogul (delagaze-gogul) wrote :

Hi!

I had the same issue and in my case I fixed with the following steps:
(previous these steps I purged sendmail because I needed only postfix)

- searched all the remains of sendmail and removed from the places that I thought it would affect the boot process
- on /etc/network/interfaces I deleted all the other lines added before - there remained only 2 lines (default ones)
- purged the network-manager (but before I saved all the needed packages for a reinstall from an USB stick - .deb files)
- added packages: plasma-nm, plasma-widget-networkmanagement, network-manager-gnome
- checked all the remained errors from /var/log/upstart/ logs - in my case there were none left after reboot

jeff chiu (chiusite) wrote :

Any clue on this. my notebook has been having problems with networking.

My clue is that I am using a USB wifi in place of the built-in wifi -- which is faulty (poor performance and probably not working on certain frequency band). Occasionally, I forgot to bring my USB, and has to turn on the builtin wifi. But, I almost never intended to run two wifi adapters at the same tme.

But, even the interface is down, it is still configured. My theory is it has something to with the various networking problems I have been having. In particular with public wifi -- many times I dont get the wifi login redirection . In several Starbucks, it will not see the Starbuck signals once it lost them (probably just after network in-active sleep). Though, it can acquire the next door signals but not re-acquiring google-starbuck. Very weird.

I suspect that multi adapter related because the original poster also run multiple networks. I am not really. But, I am also a developer. I plug in my phone to PC to either develop app and such, or use its data in a pinch when my wifi does not work.

I am fairly technical -- used to work on TCP/IP and such 20 years ago. If someone wants to cooperate with me... i will pitch in.

delt (4aunchpad) wrote :

My laptop (ubuntu studio 64bit) just suddenly decided to have this problem.

The network menu shows "NetworkManager is not running", if i try to run NetworkManager directly, it shows this error and exits.

I tried futzing around with the config files, didn't work :/

aPlatypus (william-full-moon) wrote :

Hi - I'm seeing this problem on an up-to-date Linux Mint 17.2, Rafaela installed. And as current as update manager and apt-get network access allow it.

Most concerning is that he

$ apt-get update

Command is failing on some URL-s. I've put a description on StackOverflow if someone has ideas on how to resolve this before there's a permanent fix.

* http://unix.stackexchange.com/posts/243583

The problem I'm seeing eventually clears, so I thought it was dns cache related. After finding this error in the network-manager log I don't wonder if it might go deeper. (Thanks for listening)

aPlatypus (william-full-moon) wrote :

@delt - Yes I've been having this problem come and go for at least 4 months now. There's a thread on the Linux Mint forums but i can't give a reference tonight because the site is down for maintenance. I don't know that that would be helpful though. Until I found this error in my log file, I was thinking there was a problem with the DNS because it happens on "popular" URLs like Google.com, Yahoo.com, GitHub and dl.google.com just yesterday.

Mahendra Kumar (mahendran22) wrote :

The overwriting error message was: Key file does not have group 'connectivity'

dulangci (348249063-j) wrote :

Hi!
I had the same issue. I can't use my wireless.

sudo cat /var/log/upstart/network-manager.log

(NetworkManager:1907): GLib-WARNING **: GError set over the top of a previous GError or uninitialized memory.
This indicates a bug in someone's code. You must ensure an error is NULL before it's set.
The overwriting error message was: Key file does not have group 'connectivity'

I use flowing command, setup my wireless.
$ sudo wpa_supplicant -i wlan0 -c wpa_supplicant.conf

Please quickly fix the problem, thanks you.

scotsman@afn.org (mrz80) wrote :

I am seeing this issue with two machines. First my new desktop machine, with a brand new install of xubuntu - 14. 04. Wired networking only, no wireless. Second, my work laptop, a ThinkPad x220 with wireless networking. Wireless was working when I was at the office this morning, but when I lifted the lid just a moment ago, there was no more network manager. A check of the message shows the same segv crashes and the same error messages that others were reporting above. A good deal of web searching shows that this might be a regressed bug from an earlier release of network manager. Any prognosis from the developers as to a possible fix?

maddoc47 (maddoc46) wrote :

Hi,

I'm having this same problem as of today.. I didn't have any issues before with wireless. But today after I did update and upgrade I rebooted and now I have this issue? Anyone know how to fix this?

As oft today, I also have the issue. I did an upgrade on Friday and today it dropped working.

Hi,

I've been having this problem since Jan. 30th, possibly after an update but I'm not sure. I'm running on Ubuntu 14.04 LTS. It is impossible to get NetworkManager starting, I'm getting the same error as mentioned above whenever I try sudo NetwordManager.
For the time being, I managed to connect to the Internet via sudo dhclient etho0 for the wired connection and via wpa_supplicant for the wireless connection but this is not satisfactory and only works at home (I would have to configure manually any other wireless network).
I uninstalled/purged and reinstalled NetwortkManager but the problem remained.
I hope this issue can be fixed quickly because it is really troublesome.

mee (youngpand) wrote :

As of today, I also have the issue. I did an upgrade on Friday and today it dropped working.
Please quickly fix the problem, thanks.

dulangci (348249063-j) wrote :

Today, I back to follow version, it work.

#sudo apt-get install network-manager=0.9.8.8-0ubuntu7

dini (dinisoft) wrote :

fromthe thanks!!!

sfbanjo (sfbanjo) wrote :

The solution is here:

http://askubuntu.com/a/727462

Tomislav (hefest) wrote :

14.04, affected by the bug, manually starting NetworkManager helps, but I do get the error message:

http://postimg.org/image/c9z0at29z/

I get this problem on Trusty Tahr without enabling the pre-release updates.

Eric Wright (erlc) wrote :

I can confirm that sfbanjo's solution worked for me.

sfbanjo (sfbanjo) wrote on 2016-02-03: #22
The solution is here:

http://askubuntu.com/a/727462

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers